# VecRegisterDestroy

Frees the list of Vec methods that were registered by VecRegister()/VecRegisterDynamic().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecRegisterDestroy(void)

Not Collective

### Keywords

Vec, register, destroy

### See Also

VecRegister(), VecRegisterAll(), VecRegisterDynamic()

Level:advanced
Location: src/vec/vec/interface/vecreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages